org.eclipse.gef4.zest.core.widgets

## Interface SubgraphFactory

All Known Implementing Classes:
  DefaultSubgraph.DefaultSubgraphFactory, DefaultSubgraph.LabelSubgraphFactory, DefaultSubgraph.PrunedSuccessorsSubgraphFactory, DefaultSubgraph.TriangleSubgraphFactory

    public interface SubgraphFactory

Factory used by `GraphWidget` to create subgraphs. One instance of SubgraphFactory can be used with multiple graphs unless explicitly stated otherwise.

Since:
  2.0

### Method Summary

Methods
`org.eclipse.gef4.layout.interfaces.SubgraphLayout` `createSubgraph(org.eclipse.gef4.layout.interfaces.NodeLayout[] nodes, org.eclipse.gef4.layout.interfaces.LayoutContext context)`

### Method Detail

#### createSubgraph

    org.eclipse.gef4.layout.interfaces.SubgraphLayout createSubgraph(org.eclipse.gef4.layout.interfaces.NodeLayout[] nodes,
                                                                   org.eclipse.gef4.layout.interfaces.LayoutContext context)